Bug 986682 - Calibre Rawhide (f20) ICE default IO error handler doing an exit()...
Calibre Rawhide (f20) ICE default IO error handler doing an exit()...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 11:11 EDT by Frank Murphy
Modified: 2015-06-29 20:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:40:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2013-07-21 11:11:44 EDT
this bz, in case other hit it with Calibre.


calibre -v 
loaded the Generic plugin 
Convert book 1 of 1 (Beginning Python Visualization)
Resolved conversion options
calibre version: 0.9.40
{'asciiize': False,
 'author_sort': None,
 'authors': None,
 'base_font_size': 0.0,
 'book_producer': None,
 'change_justification': u'original',
 'chapter': u"//*[((name()='h1' or name()='h2') and re:test(., '\\s*((chapter|book|section|part)\\s+)|((prolog|prologue|epilogue)(\\s+|$))', 'i')) or @class = 'chapter']",
 'chapter_mark': u'pagebreak',
 'comments': None,
 'cover': u'/tmp/calibre_0.9.40_tmp_18YIv5/LkSgh7.jpeg',
 'debug_pipeline': None,
 'dehyphenate': True,
 'delete_blank_paragraphs': True,
 'disable_font_rescaling': False,
 'dont_split_on_page_breaks': False,
 'duplicate_links_in_toc': False,
 'embed_all_fonts': False,
 'embed_font_family': None,
 'enable_heuristics': False,
 'epub_flatten': False,
 'epub_inline_toc': False,
 'epub_toc_at_end': False,
 'extra_css': None,
 'extract_to': None,
 'filter_css': u'',
 'fix_indents': True,
 'flow_size': 260,
 'font_size_mapping': None,
 'format_scene_breaks': True,
 'html_unwrap_factor': 0.4,
 'input_encoding': None,
 'input_profile': <calibre.customize.profiles.InputProfile object at 0x2735250>,
 'insert_blank_line': False,
 'insert_blank_line_size': 0.5,
 'insert_metadata': False,
 'isbn': None,
 'italicize_common_cases': True,
 'keep_ligatures': False,
 'language': None,
 'level1_toc': None,
 'level2_toc': None,
 'level3_toc': None,
 'line_height': 0.0,
 'linearize_tables': False,
 'margin_bottom': 5.0,
 'margin_left': 5.0,
 'margin_right': 5.0,
 'margin_top': 5.0,
 'markup_chapter_headings': True,
 'max_toc_links': 50,
 'minimum_line_height': 120.0,
 'new_pdf_engine': False,
 'no_chapters_in_toc': False,
 'no_default_epub_cover': True,
 'no_images': False,
 'no_inline_navbars': False,
 'no_svg_cover': False,
 'output_profile': <calibre.customize.profiles.GenericEinkLarge object at 0x2735690>,
 'page_breaks_before': u"//*[name()='h1' or name()='h2']",
 'prefer_metadata_cover': False,
 'preserve_cover_aspect_ratio': False,
 'pretty_print': True,
 'pubdate': None,
 'publisher': None,
 'rating': None,
 'read_metadata_from_opf': u'/tmp/calibre_0.9.40_tmp_18YIv5/ul23q_.opf',
 'remove_fake_margins': True,
 'remove_first_image': False,
 'remove_paragraph_spacing': False,
 'remove_paragraph_spacing_indent_size': 1.5,
 'renumber_headings': True,
 'replace_scene_breaks': u'',
 'search_replace': '[]',
 'series': None,
 'series_index': None,
 'smarten_punctuation': False,
 'sr1_replace': None,
 'sr1_search': None,
 'sr2_replace': None,
 'sr2_search': None,
 'sr3_replace': None,
 'sr3_search': None,
 'start_reading_at': None,
 'subset_embedded_fonts': False,
 'tags': None,
 'timestamp': None,
 'title': None,
 'title_sort': None,
 'toc_filter': None,
 'toc_threshold': 6,
 'toc_title': None,
 'unsmarten_punctuation': False,
 'unwrap_factor': 0.45,
 'unwrap_lines': True,
 'use_auto_toc': False,
 'verbose': 2}
InputFormatPlugin: PDF Input running
on /tmp/calibre_0.9.40_tmp_18YIv5/db2l1P.pdf
Converting file to html...
Retrieving document metadata...
Generating manifest...
Rendering manifest...
Parsing all content...
Parsing index.html ...
Initial parse failed, using more forgiving parsers
Parsing index.html as HTML
Generating default TOC from spine...
Merging user specified metadata...
Detecting structure...
Maximum TOC links reached, stopping.
Auto generated TOC with 50 entries.
Flattening CSS and remapping font sizes...
Source base font size is 12.00000pt
Removing fake margins...
Found 15393 items of level: p_1
p_1  left margin stats: Counter({u'0': 15393})
p_1  right margin stats: Counter({u'0': 15393})
Cleaning up manifest...
Trimming unused files from manifest...
Creating EPUB Output...
Rescaling image from 621x477 to 576x442 index-234_1.png
Rescaling image from 720x540 to 576x432 index-137_1.png
Rescaling image from 640x480 to 576x432 index-321_1.png
Rescaling image from 727x303 to 576x240 index-69_1.png
Rescaling image from 602x471 to 576x451 index-232_1.png
Rescaling image from 720x270 to 576x216 index-338_1.png
Rescaling image from 606x230 to 576x218 index-218_1.png
Rescaling image from 607x245 to 576x232 index-297_1.png
Rescaling image from 617x482 to 576x450 index-278_1.png
Rescaling image from 637x501 to 576x453 index-263_1.png
Rescaling image from 720x272 to 576x217 index-335_1.png
Rescaling image from 603x485 to 576x463 index-296_1.png
Rescaling image from 1434x1629 to 576x655 index-17_1.png
Rescaling image from 720x353 to 576x282 index-318_1.png
Rescaling image from 612x485 to 576x456 index-214_1.png
Rescaling image from 608x484 to 576x459 index-221_1.png
Rescaling image from 655x499 to 576x439 index-288_1.png
Rescaling image from 604x485 to 576x463 index-294_1.png
Rescaling image from 625x501 to 576x462 index-51_1.png
Rescaling image from 600x490 to 576x470 index-286_1.png
Rescaling image from 604x481 to 576x459 index-219_1.png
Rescaling image from 628x503 to 576x461 index-300_1.png
Rescaling image from 620x501 to 576x465 index-293_1.png
Rescaling image from 619x499 to 576x464 index-43_1.png
Rescaling image from 633x504 to 576x459 index-306_1.png
Rescaling image from 800x800 to 576x576 index-250_1.png
Rescaling image from 608x503 to 576x477 index-227_1.png
Rescaling image from 737x58 to 576x45 index-202_2.png
Rescaling image from 688x340 to 576x284 index-266_1.png
Rescaling image from 608x504 to 576x477 index-217_1.png
Rescaling image from 639x484 to 576x436 index-225_1.png
Rescaling image from 612x498 to 576x469 index-45_1.png
Rescaling image from 617x496 to 576x463 index-44_1.png
Rescaling image from 2175x2925 to 576x775 index-1_1.jpg
Rescaling image from 638x535 to 576x483 index-305_1.png
Rescaling image from 635x530 to 576x481 index-299_1.png
Rescaling image from 720x543 to 576x434 index-135_1.png
Rescaling image from 720x544 to 576x435 index-337_1.png
Rescaling image from 1440x1086 to 576x435 index-366_1.png
Rescaling image from 600x600 to 576x576 index-249_1.png
Rescaling image from 639x536 to 576x483 index-303_1.png
Rescaling image from 622x517 to 576x479 index-230_1.png
Rescaling image from 660x560 to 576x489 index-208_1.png
Rescaling image from 594x480 to 576x465 index-242_1.png
Rescaling image from 636x487 to 576x441 index-279_1.png
Rescaling image from 594x481 to 576x466 index-240_1.png
Rescaling image from 617x495 to 576x462 index-41_1.png
Rescaling image from 622x504 to 576x467 index-213_1.png
Rescaling image from 603x484 to 576x462 index-284_1.png
Rescaling image from 720x543 to 576x434 index-329_1.png
Splitting markup on page breaks and flow limits, if any...
		Splitting on page-break at id=calibre_pb_0
	Looking for large trees in index.html...
	Found large tree #0
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[7697]
			Split tree still too large: 648 KB
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[3849]
			Split tree still too large: 343 KB
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[1925]
			Committed sub-tree #1 (194 KB)
			Committed sub-tree #2 (150 KB)
			Split tree still too large: 305 KB
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[1925]
			Committed sub-tree #3 (148 KB)
			Committed sub-tree #4 (157 KB)
			Split tree still too large: 589 KB
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[3849]
			Split tree still too large: 299 KB
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[1925]
			Committed sub-tree #5 (154 KB)
			Committed sub-tree #6 (145 KB)
			Split tree still too large: 290 KB
		Splitting...
			Split point: {http://www.w3.org/1999/xhtml}p /*/*[2]/*[1925]
			Committed sub-tree #7 (149 KB)
			Committed sub-tree #8 (140 KB)
	Split into 9 parts
EPUB output written to /tmp/calibre_0.9.40_tmp_18YIv5/Q1TDKA.epub
ICE default IO error handler doing an exit(), pid = 18287, errno = 32



Version-Release number of selected component (if applicable):
calibre.x86_64 0:0.9.40-1.fc20


How reproducible: Across a number of pdf books 100+ pages
and testing the same books a number of times. 


Steps to Reproduce:
1. Apress pdf book to epub
2.
3.

Actual results: ICE default IO error handler doing an exit() pid = nnn, errno = nnn


removing .ICEauthority as per #947687 fixed the problem.
Comment 1 Kevin Fenzi 2013-07-21 13:03:52 EDT
Interesting. Does that clear it up moving forward? Or do you have to remove that all the time?
Comment 2 Frank Murphy 2013-07-21 14:29:18 EDT
If I reboot, and /home/frank/.ICE* is recreated it fails again.
Comment 3 Kevin Fenzi 2013-07-22 10:27:21 EDT
ok, so figuring out what makes that and why it's wrong is the root of the problem. 

I guess this depends on bug 947687
Comment 4 Fedora End Of Life 2013-09-16 12:47:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora End Of Life 2015-05-29 05:12:17 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 20:40:13 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.